TUNELP(8)

BEZEICHNUNG
tunelp - verschiedene Parameter für das lp-Gerät setzen

ÜBERSICHT
tunelp [Optionen] Gerät

BESCHREIBUNG
tunelp setzt verschiedene Parameter für /dev/lp?-Geräte, um bessere Performance zu erreichen (oder um überhaupt arbeiten zu können, falls etwa Ihr Drucker ohne nicht funktioniert …). Ohne Parameter ermittelt das Programm, ob das Gerät Interrupts verwendet und falls ja, welche. Mit Parametern verändert es die Gerätecharakteristiken. Folgende Parameter sind zulässig:

OPTIONEN

-i, --irq Argument
    gibt den IRQ an, den der fragliche Parallelport verwenden soll. Ist diese Option auf eine Zahl gesetzt, die nicht null ist, verlieren -t und -c ihre Wirkung. Falls Ihr Port keine Interrupts verwendet, blockiert diese Option das Drucken über ihn. Der Befehl tunelp -i 0 stellt die Nicht-Interrupt-gesteuerte Aktion (Polling) wieder her, und Ihr Drucker sollte wieder funktionieren. Sofern Ihr Parallelport Interrupts unterstützt, kann Interrupt-gesteuertes Drucken die Geschwindigkeit und Effizienz erhöhen und somit wünschenswert sein.

    HINWEIS: Diese Option ist mit Kernel 2.1.131 oder neuer unwirksam, da der IRQ vom Parallelport-Treiber verwaltet wird. Sie können den Parallelport-IRQ beispielsweise über /proc/parport/*/irq ändern. In /usr/src/linux/Documentation/parport.txt finden Sie weitere Details zum Parallelport.

-t, --time Millisekunden
    ist die Zeitspanne in Jiffies, die der Treiber verstreichen lässt, falls der Drucker kein Zeichen entsprechend der im Parameter -c vorgeschriebenen Versuche annimmt. Der Vorgabewert ist 10. Wenn Sie so schnell wie möglich drucken wollen und die höhere Systemlast für Sie nicht von Bedeutung ist, können Sie den Wert auf 0 setzen. Sollte andererseits die Druckgeschwindigkeit keine Rolle spielen, oder Sie drucken Text auf einem langsamen Drucker mit einem Puffer, dann ist ein Wert von 500 (entspricht 5 Sekunden) angemessen, und die Systemlast wird wenig beeinflusst. Der Wert sollte beim Drucken von Grafiken generell niedriger sein als bei Text, etwa um den Faktor 10, um beste Leistung zu gewährleisten.

-c, --chars Zeichen
    ist die Anzahl der Versuche zur Ausgabe eines Zeichens auf dem Drucker, bevor für -t ZEIT gewartet wird. Ein Wert von 120 sollte für die meisten Drucker im Polling-Modus angemessen sein. Die Voreinstellung ist 1000, da einige Drucker mit anderen Einstellungen ruckeln könnten, aber wenn Sie Interrupts verwenden, müssen Sie diese Option auf 1 setzen, um die CPU effizient zu nutzen. Wenn Sie einen sehr schnellen Drucker haben, könnte ein Wert von 10 selbst im Polling-Modus sinnvoller sein. Ist Ihr Drucker wirklich alt, können Sie diesen Wert weiter erhöhen.

    Das Setzen der -t ZEIT auf 0 is äquivalent zum Setzen der -c ZEICHEN auf unendlich.

-w, --wait Millisekunden
    ist die Wartezeit in µs, die beim Herumprobieren am Strobe-Signal jeweils abgewartet wird. Die meisten Drucker scheinen mit einem extrem kurzen Strobe umgehen zu können, andere benötigen längere Strobes. Den Wert über die Vorgabe von 1 hinaus zu erhöhen kann es möglich machen, auch auf solchen Druckern zu drucken. Außerdem könnten längere Kabel verwendet werden. Gegebenenfalls kann dieser Wert auch auf 0 gesenkt werden, wenn entweder Ihr Drucker schnell genug oder Ihr Rechner langsam genug ist.

-a, --abort <on|off>
    gibt an, ob bei einem Druckerfehler der Druckauftrag abgebrochen werden soll – was in der Voreinstellung nicht der Fall ist. Dadurch können Sie auf den Fehler reagieren und ihn beseitigen, sodass der Drucker den Auftrag fertig drucken kann. Sind Sie nicht persönlich vor Ort, können Sie stattdessen auch festlegen, dass der Druckspooler bei Problemen den Auftrag abbricht und Sie per E-Mail darüber informiert. Das liegt ganz bei Ihnen.

-o, --check-status <on|off>
    Diese Option ähnelt -a. Die open()-Aufrufe des Gerätes überprüfen zunächst, ob es betriebsbereit ist und keine Meldungen über Papierstau oder andere Fehler vorliegen. Dies ist die korrekte Einstellung für die meisten lpd-Versionen.

-C, --careful <on|off>
    löst eine besonders »sorgfältige« Fehlerprüfung aus. Wenn diese Option aktiviert ist, stellt der Druckertreiber vor dem Senden von Daten sicher, dass der Drucker betriebsbereit ist und keinen Papierstau oder andere Fehler meldet. Dies ist insbesondere für Drucker nützlich, die anscheinend im ausgeschalteten Zustand Daten akzeptieren.

    HINWEIS: Diese Option ist obsolet, da sie die Voreinstellung in Kernel 2.1.131 und neuer ist.

-s, --status
    gibt den aktuellen Druckerstatus zurück, sowohl als Dezimalzahl von 0 bis 255, als auch in Form einer Liste der aktiven Flags. Wenn diese Option angegeben ist, bezieht das ein, dass -q deaktiviert und die Anzeige des aktuellen IRQ ausgeschaltet ist.

-T, --trust-irq <on|off>
    Diese Option ist veraltet, sie wurde in Linux 2.1.131 hinzugefügt und in Linux 2.3.10 wieder entfernt. Die nachfolgenden Informationen gelten daher nur für alte Kernels.

    Diese Option weist den lp-Treiber an, dem IRQ zu vertrauen oder nicht. Sie ist nur sinnvoll, wenn Sie Interrupts verwenden. Wenn der lp-Treiber dem IRQ vertrauen soll, wird beim Empfang eines IRQ das nächste wartende Zeichen bedingungslos an den Drucker gesendet, selbst wenn dieser signalisiert, dass er BESCHÄFTIGT ist. Dies ist die einzige Möglichkeit, eine Wartezeit (»sleep«) für den Interrupt auszulösen (und so das IRQ-gesteuerte Drucken effizient zu betreiben), zumindest bei Epson-Stylus-Color-Druckern. Der lp-Treiber erkennt »automagisch«, ob die Performance durch Setzen dieses Schalters erhöht werden könnte. In diesem Fall werden Sie durch eine Kernel-Meldung informiert.

    HINWEIS: Auf den IRQ zu vertrauen kann dazu führen, dass das Drucken auf einigen Geräten erschwert wird. Dieses Problem ist bekannt, und ob es auch bei Ihrem Drucker auftritt, müssen Sie leider selbst herausfinden …

-r, --reset
    Diese Option setzt den Port zurück. Dazu wird ein Kernel 1.1.80 oder neuer benötigt.

-q, --print-irq <on|off>
    Diese Option schaltet die Anzeige der aktuellen IRQ-Einstellung ein oder aus.

ANMERKUNGEN
Die Optionen -o, -C und -s benötigen alle einen Linux-Kernel Version 1.1.76 oder neuer.

-C benötigt einen Linux-Kernel Version vor 2.1.131.

-T benötigt einen Linux-Kernel Version 2.1.131 oder neuer.

FEHLER
Durch das Zusammentreffen unglücklicher Zufälle hat das ioctl-LPSTRICT des Kernels 2.0.36 die gleiche Nummer wie das in 2.1.131 eingeführte ioctl-LPTRUSTIRQ. Daher kann die Verwendung der Option -T auf einem System mit Kernel 2.0.36 mit einem unter 2.1.131 kompilierten tunelp unerwartete Auswirkungen haben.

DATEIEN
/dev/lp?
/proc/parport/*/*

VERFÜGBARKEIT
Der Befehl tunelp ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (ftp://ftp.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.